summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Sturmlechner <andreas.sturmlechner@gmail.com>2016-12-07 16:13:58 +0100
committerJohannes Huber <johu@gentoo.org>2016-12-07 19:32:21 +0100
commit88cea0f2fe2bf1d1a5fe8dc97f5838921cb197eb (patch)
tree112145b3a62aec8b2f268c1af1956789ef5d1d48 /kde-apps
parentx11-themes/ubuntu-wallpapers: Drop old (diff)
downloadgentoo-88cea0f2fe2bf1d1a5fe8dc97f5838921cb197eb.tar.gz
gentoo-88cea0f2fe2bf1d1a5fe8dc97f5838921cb197eb.tar.bz2
gentoo-88cea0f2fe2bf1d1a5fe8dc97f5838921cb197eb.zip
kde-apps/marble: Drop unused DEPEND
Upstream commit 670a24a87adab6d7b76de60ce67c8eef8433c24c Package-Manager: portage-2.3.0 Signed-off-by: Johannes Huber <johu@gentoo.org>
Diffstat (limited to 'kde-apps')
-rw-r--r--kde-apps/marble/files/marble-16.08.3-deps.patch42
-rw-r--r--kde-apps/marble/marble-16.08.3-r1.ebuild86
2 files changed, 128 insertions, 0 deletions
diff --git a/kde-apps/marble/files/marble-16.08.3-deps.patch b/kde-apps/marble/files/marble-16.08.3-deps.patch
new file mode 100644
index 00000000000..98d5225357e
--- /dev/null
+++ b/kde-apps/marble/files/marble-16.08.3-deps.patch
@@ -0,0 +1,42 @@
+commit 670a24a87adab6d7b76de60ce67c8eef8433c24c
+Author: Friedrich W. H. Kossebau <kossebau@kde.org>
+Date: Sat Dec 3 20:33:14 2016 +0100
+
+ Remove dep on Qt5::Location, not used
+
+diff --git a/src/plugins/positionprovider/CMakeLists.txt b/src/plugins/positionprovider/CMakeLists.txt
+--- a/src/plugins/positionprovider/CMakeLists.txt
++++ b/src/plugins/positionprovider/CMakeLists.txt
+@@ -8,17 +8,13 @@ ENDIF(LIBGPS_FOUND)
+ ADD_SUBDIRECTORY( gpsd )
+ ENDIF(LIBGPS_FOUND)
+
+-macro_optional_find_package(Qt5Location ${REQUIRED_QT_VERSION})
+ macro_optional_find_package(Qt5Positioning ${REQUIRED_QT_VERSION})
+ marble_set_package_properties( Qt5Positioning PROPERTIES DESCRIPTION "a collection of APIs and frameworks" )
+ marble_set_package_properties( Qt5Positioning PROPERTIES URL "http://qt.digia.com/" )
+-marble_set_package_properties( Qt5Positioning PROPERTIES TYPE OPTIONAL PURPOSE "Required for QtLocation to work" )
+-marble_set_package_properties( Qt5Location PROPERTIES DESCRIPTION "geographical support for position and map use" )
+-marble_set_package_properties( Qt5Location PROPERTIES URL "http://qt.digia.com/" )
+-marble_set_package_properties( Qt5Location PROPERTIES TYPE OPTIONAL PURPOSE "position information via Qt5Positioning and QtLocation" )
+-IF(Qt5Location_FOUND)
++marble_set_package_properties( Qt5Positioning PROPERTIES TYPE OPTIONAL PURPOSE "position information via Qt5Positioning" )
++if(Qt5Positioning_FOUND)
+ ADD_SUBDIRECTORY( qtpositioning )
+-ENDIF(Qt5Location_FOUND)
++endif()
+
+
+ macro_optional_find_package(libwlocate)
+diff --git a/src/plugins/positionprovider/qtpositioning/CMakeLists.txt b/src/plugins/positionprovider/qtpositioning/CMakeLists.txt
+index 9079443..e0179bf 100644
+--- a/src/plugins/positionprovider/qtpositioning/CMakeLists.txt
++++ b/src/plugins/positionprovider/qtpositioning/CMakeLists.txt
+@@ -9,6 +9,6 @@ SET( qtpositioning_SRCS
+ QtPositioningPositionProviderPlugin.cpp
+ )
+
+-SET( QtPositioningPositionProviderPlugin_LIBS Qt5::Location Qt5::Positioning )
++SET( QtPositioningPositionProviderPlugin_LIBS Qt5::Positioning )
+
+ MARBLE_ADD_PLUGIN( QtPositioningPositionProviderPlugin ${qtpositioning_SRCS} )
diff --git a/kde-apps/marble/marble-16.08.3-r1.ebuild b/kde-apps/marble/marble-16.08.3-r1.ebuild
new file mode 100644
index 00000000000..f9856ac1749
--- /dev/null
+++ b/kde-apps/marble/marble-16.08.3-r1.ebuild
@@ -0,0 +1,86 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+KDE_HANDBOOK="forceoptional"
+KDE_TEST="forceoptional"
+VIRTUALX_REQUIRED="test"
+inherit kde5
+
+DESCRIPTION="Virtual Globe and World Atlas to learn more about Earth"
+HOMEPAGE="https://marble.kde.org/"
+KEYWORDS="~amd64 ~arm ~x86 ~amd64-linux ~x86-linux"
+
+IUSE="aprs +dbus designer gps +kde phonon +positioning shapefile +webkit"
+
+# FIXME (new package): libwlocate, WLAN-based geolocation
+RDEPEND="
+ $(add_qt_dep qtconcurrent)
+ $(add_qt_dep qtdeclarative)
+ $(add_qt_dep qtgui)
+ $(add_qt_dep qtnetwork)
+ $(add_qt_dep qtprintsupport)
+ $(add_qt_dep qtscript)
+ $(add_qt_dep qtsql)
+ $(add_qt_dep qtsvg)
+ $(add_qt_dep qtwidgets)
+ $(add_qt_dep qtxml)
+ aprs? ( $(add_qt_dep qtserialport) )
+ dbus? ( $(add_qt_dep qtdbus) )
+ designer? ( $(add_qt_dep designer) )
+ gps? ( sci-geosciences/gpsd )
+ kde? (
+ $(add_frameworks_dep kconfig)
+ $(add_frameworks_dep kconfigwidgets)
+ $(add_frameworks_dep kcoreaddons)
+ $(add_frameworks_dep kcrash)
+ $(add_frameworks_dep ki18n)
+ $(add_frameworks_dep kio)
+ $(add_frameworks_dep knewstuff)
+ $(add_frameworks_dep kparts)
+ $(add_frameworks_dep krunner)
+ $(add_frameworks_dep kservice)
+ $(add_frameworks_dep kwallet)
+ )
+ phonon? ( media-libs/phonon[qt5] )
+ positioning? ( $(add_qt_dep qtpositioning) )
+ shapefile? ( sci-libs/shapelib )
+ webkit? ( $(add_qt_dep qtwebkit) )
+"
+DEPEND="${RDEPEND}
+ aprs? ( dev-lang/perl )
+"
+
+# bug 588320
+RESTRICT+=" test"
+
+PATCHES=( "${FILESDIR}/${P}-deps.patch" ) # from 16.12 branch
+
+src_prepare() {
+ if use kde; then
+ sed -e "/add_subdirectory(marble-qt)/ s/^/#DONT/" \
+ -i src/apps/CMakeLists.txt \
+ || die "Failed to disable marble-qt"
+ fi
+
+ kde5_src_prepare
+}
+
+src_configure() {
+ local mycmakeargs=(
+ $(cmake-utils_use_find_package aprs Perl)
+ $(cmake-utils_use_find_package positioning Qt5Positioning)
+ -DBUILD_MARBLE_TESTS=$(usex test)
+ -DWITH_DESIGNER_PLUGIN=$(usex designer)
+ -DWITH_libgps=$(usex gps)
+ -DWITH_KF5=$(usex kde)
+ -DWITH_Phonon=$(usex phonon)
+ -DWITH_libshp=$(usex shapefile)
+ $(cmake-utils_use_find_package webkit Qt5WebKit)
+ $(cmake-utils_use_find_package webkit Qt5WebKitWidgets)
+ -DWITH_libwlocate=OFF
+ )
+ kde5_src_configure
+}